<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_ec438e08973b3716c60e393f66" . "ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUMgcHJvamV" . "jdA=="), "_5a318eaa74da0cc2a06" . "bdb95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJvamV" . "jdA=="), "_565d7be99acb0b7627e4" . "8da068eebbd6" => base64_decode("cmVx" . "dWly" . "ZWQ="), "project_" . "id" => base64_decode("cHJvamVjdF" . "9pZA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["pro" . "jec" . "t_i" . "d"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5a318eaa74da0cc2a06bd" . "b95289fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["projec" . "t_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ec438e08973b3716c" . "60e393f66ef5e7b"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_565d7be99" . "acb0b7627e" . "48da068eeb" . "bd6"]);
        $this->_formBuilt = true;
    }
}